﻿using System;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Text.RegularExpressions;
using System.Threading;
using System.Windows;
using System.Windows.Input;
using nextWave.WDAC;

namespace nextWave_Launcher
{
    // Token: 0x02000007 RID: 7
    public partial class MainWindow : Window
	{
		// 0x06000041 RID: 65 RVA: 0x000036AC File Offset: 0x000018AC
		public MainWindow(User user, string HWID, int region)
		{
            this.HWID = HWID;
            InitializeComponent();
            this.user = user;
            label_progresbar.Content = "Checking For Updates...";
            label_welcome.Content = "Welcome, " + user.username + "!";
            Thread t = new Thread(() => CheckDownloads());
            t.IsBackground = true;
            t.Start();
        }

        // Token: 0x06000042 RID: 66 RVA: 0x00003748 File Offset: 0x00001948
        public void CheckDownloads()
		{
			DownloadGamefile downloadGamefile = new DownloadGamefile(this, Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location));
			this.downloading = true;
		}

		// Token: 0x06000043 RID: 67 RVA: 0x00003773 File Offset: 0x00001973
		private void button_forum_click(object sender, RoutedEventArgs e)
		{
			Process.Start("http:/osheroes.net/register");
		}

		// Token: 0x06000044 RID: 68 RVA: 0x00003784 File Offset: 0x00001984
		private void button_logout_click(object sender, RoutedEventArgs e)
		{
			login_window login_window = new login_window();
			login_window.Show();
			base.Close();
		}

		// Token: 0x06000045 RID: 69 RVA: 0x000037A6 File Offset: 0x000019A6
		public void DisablePlay()
		{
			this.button_play.IsEnabled = false;
		}

		// Token: 0x06000046 RID: 70 RVA: 0x000037B8 File Offset: 0x000019B8
		private void button_play_click(object sender, RoutedEventArgs e)
		{
			string text = string.Format(" +sessionId \"{0}\" +magma 0 +developer 1", user.game_token);
			string text2 = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location) + "/game/" + login_window.ApplicationNames[login_window.RegionIdentifier];
			Console.WriteLine(text2 + text);
			Process process = Process.Start(new ProcessStartInfo
			{
				FileName = text2,
				WorkingDirectory = Path.GetDirectoryName(text2),
				Arguments = text
			});
			string input = login_window.ApplicationNames[login_window.RegionIdentifier];
			string proc = Regex.Replace(input, ".exe", "");
			Controller controller = new Controller(proc, this.user, this.HWID);
		}

		// Token: 0x06000047 RID: 71 RVA: 0x0000386D File Offset: 0x00001A6D
		private void grid_logo_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
		{
			Process.Start("http://osheroes.net/");
		}

		// Token: 0x06000048 RID: 72 RVA: 0x00003510 File Offset: 0x00001710
		private void Grid_Loaded(object sender, RoutedEventArgs e)
		{
		}

		// Token: 0x06000049 RID: 73 RVA: 0x00003510 File Offset: 0x00001710
		private void progressbar_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
		{
		}

		// Token: 0x0400002E RID: 46
		private User user;

		// Token: 0x0400002F RID: 47
		public bool downloading = false;

		// Token: 0x04000030 RID: 48
		private string HWID;
	}
}
