﻿using System;
using System.Management;
using System.Security.Cryptography;
using System.Text;

namespace nextWave.WDAC.Utility
{
	// Token: 0x0200000E RID: 14
	internal class HWID
	{
		// Token: 0x06000069 RID: 105 RVA: 0x00004908 File Offset: 0x00002B08
		public static string Serial()
		{
			string result = "";
			using (ManagementObjectCollection.ManagementObjectEnumerator enumerator = new ManagementObjectSearcher("SELECT * FROM Win32_PhysicalMedia").Get().GetEnumerator())
			{
				bool flag = enumerator.MoveNext();
				if (flag)
				{
					result = ((ManagementObject)enumerator.Current)["SerialNumber"].ToString().Trim();
				}
			}
			return result;
		}

		// Token: 0x0600006A RID: 106 RVA: 0x00004984 File Offset: 0x00002B84
		public static string Value()
		{
			string text = HWID.Serial();
			bool flag = !string.IsNullOrEmpty(text);
			if (flag)
			{
				text = HWID.GetHash(text);
			}
			return text;
		}

		// Token: 0x0600006B RID: 107 RVA: 0x000049B4 File Offset: 0x00002BB4
		private static string GetHash(string s)
		{
			MD5 md = new MD5CryptoServiceProvider();
			ASCIIEncoding asciiencoding = new ASCIIEncoding();
			byte[] bytes = asciiencoding.GetBytes(s);
			return HWID.GetHexString(md.ComputeHash(bytes));
		}

		// Token: 0x0600006C RID: 108 RVA: 0x000049E8 File Offset: 0x00002BE8
		private static string GetHexString(byte[] bt)
		{
			string text = string.Empty;
			for (int i = 0; i < bt.Length; i++)
			{
				byte b = bt[i];
				int num = (int)b;
				int num2 = num & 15;
				int num3 = num >> 4 & 15;
				bool flag = num3 > 9;
				if (flag)
				{
					text += ((char)(num3 - 10 + 65)).ToString();
				}
				else
				{
					text += num3.ToString();
				}
				bool flag2 = num2 > 9;
				if (flag2)
				{
					text += ((char)(num2 - 10 + 65)).ToString();
				}
				else
				{
					text += num2.ToString();
				}
				bool flag3 = i + 1 != bt.Length && (i + 1) % 2 == 0;
				if (flag3)
				{
					text += "-";
				}
			}
			return text;
		}

		// Token: 0x0400004E RID: 78
		private static string fingerPrint = string.Empty;
	}
}
