﻿using System;
using System.Runtime.InteropServices;
using System.Security;

namespace nextWave.WDAC.Utility
{
	// Token: 0x02000011 RID: 17
	[SuppressUnmanagedCodeSecurity]
	internal sealed class NativeMethods
	{
		// Token: 0x06000075 RID: 117 RVA: 0x00004BEE File Offset: 0x00002DEE
		private NativeMethods()
		{
		}

		// Token: 0x06000076 RID: 118 RVA: 0x00004BF8 File Offset: 0x00002DF8
		internal static bool IsWindowInForeground(IntPtr hWnd)
		{
			return hWnd == NativeMethods.GetForegroundWindow();
		}

		// Token: 0x06000077 RID: 119
		[DllImport("user32.dll")]
		internal static extern bool ShowWindow(IntPtr hWnd, NativeMethods.WindowShowStyle nCmdShow);

		// Token: 0x06000078 RID: 120
		[DllImport("user32.dll")]
		internal static extern IntPtr GetForegroundWindow();

		// Token: 0x06000079 RID: 121
		[DllImport("user32.dll")]
		[return: MarshalAs(UnmanagedType.Bool)]
		internal static extern bool SetForegroundWindow(IntPtr hWnd);

		// Token: 0x0600007A RID: 122
		[DllImport("user32.dll")]
		[return: MarshalAs(UnmanagedType.Bool)]
		internal static extern bool IsIconic(IntPtr hWnd);

		// Token: 0x0200001C RID: 28
		internal enum WindowShowStyle : uint
		{
			// Token: 0x04000077 RID: 119
			Hide,
			// Token: 0x04000078 RID: 120
			ShowNormal,
			// Token: 0x04000079 RID: 121
			ShowMinimized,
			// Token: 0x0400007A RID: 122
			ShowMaximized,
			// Token: 0x0400007B RID: 123
			Maximize = 3u,
			// Token: 0x0400007C RID: 124
			ShowNormalNoActivate,
			// Token: 0x0400007D RID: 125
			Show,
			// Token: 0x0400007E RID: 126
			Minimize,
			// Token: 0x0400007F RID: 127
			ShowMinNoActivate,
			// Token: 0x04000080 RID: 128
			ShowNoActivate,
			// Token: 0x04000081 RID: 129
			Restore,
			// Token: 0x04000082 RID: 130
			ShowDefault,
			// Token: 0x04000083 RID: 131
			ForceMinimized
		}
	}
}
