﻿using System;
using System.Diagnostics;
using System.IO;
using System.Net;
using System.Security.Cryptography;
using System.Threading;
using nextWave.WDAC.Utility;

namespace nextWave.WDAC
{
	// Token: 0x0200000C RID: 12
	internal class VerifyProcess
	{
        // Token: 0x0600005F RID: 95 RVA: 0x000044C4 File Offset: 0x000026C4

        public VerifyProcess(string Proc)
        {
            this.Proc = Proc;
            WebClient client = new WebClient();
            WatchdogMD5 = client.DownloadString("http://149.56.83.88/download/watchdogmd5.txt");
            Console.WriteLine("Md5 ok");
            CurrThread = new Thread(() => CheckProccess());
            CurrThread.IsBackground = true;
            CurrThread.Start();
        }

        // Token: 0x06000060 RID: 96 RVA: 0x00004524 File Offset: 0x00002724
        public static void Abort()
		{
			VerifyProcess.CurrThread.Abort();
		}

		// Token: 0x06000061 RID: 97 RVA: 0x00004534 File Offset: 0x00002734
		public void CheckProccess()
		{
			Thread.Sleep(5000);
			for (;;)
			{
				Process[] processesByName = Process.GetProcessesByName("Watchdog");
				Process[] processesByName2 = Process.GetProcessesByName("BFHWD");
				bool flag = processesByName.Length < 1 && processesByName2.Length < 1;
				if (flag)
				{
					Console.WriteLine("BFHWD.exe n achei");
					Actions.Exit(false);
				}
				else
				{
					bool flag2 = processesByName.Length != 0;
					if (flag2)
					{
						bool flag3 = this.CalculateMD5(processesByName[0].MainModule.FileName) != this.WatchdogMD5;
						if (flag3)
						{
							Console.WriteLine("Exiting since BFHWD.exe was modified!");
							Actions.Exit(false);
						}
					}
					else
					{
						bool flag4 = this.CalculateMD5(processesByName2[0].MainModule.FileName) != this.WatchdogMD5;
						if (flag4)
						{
							Console.WriteLine("Exiting since BFHWD.exe was modified!");
							Actions.Exit(false);
						}
					}
				}
				Process[] processesByName3 = Process.GetProcessesByName(this.Proc);
				bool flag5 = processesByName3.Length == 0;
				if (flag5)
				{
					Thread.Sleep(2500);
					Process[] processesByName4 = Process.GetProcessesByName(this.Proc);
					bool flag6 = processesByName4.Length == 0;
					if (flag6)
					{
						Console.WriteLine("Stopping Anticheat since BFH was closed");
						Actions.StopAC();
					}
				}
				Thread.Sleep(2000);
			}
		}

		// Token: 0x06000062 RID: 98 RVA: 0x0000467C File Offset: 0x0000287C
		public string CalculateMD5(string filename)
		{
			string result;
			using (MD5 md = MD5.Create())
			{
				using (FileStream fileStream = File.OpenRead(filename))
				{
					byte[] value = md.ComputeHash(fileStream);
					result = BitConverter.ToString(value).Replace("-", "").ToLowerInvariant();
				}
			}
			return result;
		}

		// Token: 0x0400004A RID: 74
		private string Proc;

		// Token: 0x0400004B RID: 75
		private string WatchdogMD5;

		// Token: 0x0400004C RID: 76
		public static Thread CurrThread;
	}
}
