﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Diagnostics;
using System.Threading;
using System.IO;
using System.Web.Script.Serialization;
using KeyEventArgs = System.Windows.Input.KeyEventArgs;
using MessageBox = System.Windows.MessageBox;

namespace nextWave_Launcher{
    
    public partial class login_window : Window
    {
        private double version = 5;
        private string[] RegionCode = { "Europe", "Brazil" };
        private string[] RegionAPI = { "http://osheroes.net/api2/", "http://osheroes.net/api2/" };
        public static string[] ApplicationNames = { "BFHeroes1.exe", "BFHeroes1.exe" };
        private string optimalRegion = "http://osheroes.net/api2/";
        public static int RegionIdentifier;
        private string HWID = null;
        private bool HWIDObtained = false;
        private User currentUser;
        private string ErrorMessage;

        public login_window()
        {
            InitializeComponent();
            AppDomain.CurrentDomain.AppendPrivatePath(@"game\mods\bfheroes\WDAC");
            textBox_username.Focus();
            Thread compare = new Thread(() => CompareVersion());
            compare.Start();
            //GetPing();
            Thread getHWID = new Thread(() => ReturnHWID());
            getHWID.Start();
        }

        private void CompareVersion()
        {
            WebClient client = new WebClient();
            Uri Uri = new Uri("http://149.56.83.88/download/version.txt");
            string versionstring = client.DownloadString(Uri);
            double newestversion = double.Parse(versionstring);
            if (newestversion != version)
            {
                dynamic MsgResult = MessageBox.Show("New update Found!, would you like to Download it?\nYour Version: " + version + "\nNewest Version: " + newestversion, "Update Detected!", MessageBoxButton.YesNo);

                if (MsgResult == MessageBoxResult.Yes)
                {
                    if (!File.Exists("LauncherUpdater.exe"))
                    {
                        client.DownloadFile("http://149.56.83.88/download/LauncherUpdater.exe", "LauncherUpdater.exe");
                    }
                    ProcessStartInfo processInfo = new ProcessStartInfo();
                    processInfo.FileName = "LauncherUpdater.exe"; ;
                    Process.Start(processInfo);
                    Environment.Exit(1);
                }
                else
                {
                    MessageBox.Show("You have chosen to ignore updating, This might give errors!.\n");
                }
            }
        }    

        private void button_login_click(object sender, RoutedEventArgs e)
        {
            if (!HWIDObtained)
            {
                MessageBox.Show("Error With DirectX , Contact a Staff!");
                return;
            }
            if (textBox_username.Text != "" && passwordBox.Password.Length > 0)
            {
                string username = textBox_username.Text;
                string password = Convert.ToString(passwordBox.Password);
                bool loginResult = checkToken(username, password);
                if (loginResult)
                {
                    MainWindow mw = new MainWindow(currentUser, HWID, RegionIdentifier);
                    mw.Show();
                    username = null;
                    password = null; 
                    login_win.Close(); 
                    Close();
                }
                else
                {
                    MessageBox.Show(ErrorMessage);
                    textBox_username.Text = "";
                    passwordBox.Password = "";
                    textBox_username.Focus();
                }
            }
            else
            {
                MessageBox.Show("Empty textbox", "Error!", MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }

        public bool checkToken(string user, string password)
        {

            string url = String.Format(optimalRegion + "token?username={0}&password={1}", user,
                WebUtility.HtmlEncode(password));

            using (var client = new WebClient())
            {
                WebRequest request;
                WebResponse response;
                Stream stream;
                StreamReader reader;
                string result;
                string token;
                JavaScriptSerializer jss = new JavaScriptSerializer();

                try
                {
                    request = WebRequest.Create(url);
                    request.Method = "GET";
                    response = request.GetResponse();
                    stream = response.GetResponseStream();
                    reader = new StreamReader(stream);
                    result = reader.ReadToEnd();
                    reader.Close();
                    response.Close();
                    Console.WriteLine(result);

                    Token myToken = jss.Deserialize<Token>(result);

                    if (myToken.error != null)
                    {
                        ErrorMessage = "Incorrect Login!";
                        return false;
                    }
                    token = myToken.token;
                }
                catch (Exception ex)
                {
                    ErrorMessage = "Internal Error, please contact a Developer. Ex: " + ex;
                    return false;
                }

                url = String.Format(optimalRegion + "user?token={0}", token);
                request = WebRequest.Create(url);
                request.Method = "GET";
                response = request.GetResponse();
                stream = response.GetResponseStream();
                reader = new StreamReader(stream);
                result = reader.ReadToEnd();
                reader.Close();
                response.Close();
                currentUser = jss.Deserialize<User>(result);

                return true;
            }
        }
        private void ReturnHWID()
        {
            HWID = nextWave.WDAC.Utility.HWID.Value();
            while (HWID == null) Thread.Sleep(50);
            WebClient client = new WebClient();
            string[] HWIDs = client.DownloadString("http://149.56.83.88/download/BL.txt").Split(new[] { Environment.NewLine }, StringSplitOptions.None);
            for (int i = 0; i < HWIDs.Length; i++)
            {
                if (HWIDs[i] == HWID)
                {
                    Closure();
                }
            }
            HWIDObtained = true;
        }

        private void Window_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.Enter)
            {
                button_login_click(sender, e);
            }
        }       

        private void Closure()
        {
            Thread.Sleep(1000);
            Environment.Exit(33);
        }

        private void button_register_click(object sender, RoutedEventArgs e)
        {
            Process.Start("http://osheroes.net/register");
        }


        private void button_keeplogin_Click(object sender, RoutedEventArgs e)
        {
            //goijsrgd            
        }

        private void regionbox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            optimalRegion = "http://osheroes.net/api2/";
        }
    }
}