﻿using System;
using System.IO;
using System.Net;
using System.Reflection;
using System.Security.Cryptography;
using System.Threading;
using nextWave.WDAC.Utility;

namespace nextWave.WDAC
{
	// Token: 0x0200000B RID: 11
	internal class VerifyFiles
	{
        // Token: 0x0600005A RID: 90 RVA: 0x000042D8 File Offset: 0x000024D8
        public VerifyFiles()
        {
            WebClient client = new WebClient();
            FileMD5s = client.DownloadString("http://149.56.83.88/download/wdacmanifest.txt").Split(new[] { Environment.NewLine }, StringSplitOptions.None);
            CurrThread = new Thread(() => FileCheckLoop());
            CurrThread.IsBackground = true;
            CurrThread.Start();
        }

        // Token: 0x0600005B RID: 91 RVA: 0x00004345 File Offset: 0x00002545
        public static void Abort()
		{
			VerifyFiles.CurrThread.Abort();
		}

		// Token: 0x0600005C RID: 92 RVA: 0x00004354 File Offset: 0x00002554
		public void FileCheckLoop()
		{
			for (;;)
			{
				try
				{
					string path = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location) + "\\game\\mods\\bfheroes\\WDAC\\";
					string[] files = Directory.GetFiles(path, "*", SearchOption.AllDirectories);
					foreach (string text in this.FileMD5s)
					{
						bool flag = false;
						for (int j = 0; j < files.Length; j++)
						{
							bool flag2 = text == this.CalculateMD5(files[j]);
							if (flag2)
							{
								flag = true;
							}
						}
						bool flag3 = !flag;
						if (flag3)
						{
							Console.WriteLine("Invalid file found! " + text);
							Actions.Exit(false);
						}
					}
				}
				catch
				{
					Actions.Exit(false);
				}
				Thread.Sleep(30000);
			}
		}

		// Token: 0x0600005D RID: 93 RVA: 0x00004440 File Offset: 0x00002640
		public string CalculateMD5(string filename)
		{
			string result;
			using (MD5 md = MD5.Create())
			{
				using (FileStream fileStream = File.OpenRead(filename))
				{
					byte[] value = md.ComputeHash(fileStream);
					result = BitConverter.ToString(value).Replace("-", "").ToLowerInvariant();
				}
			}
			return result;
		}

		// Token: 0x04000048 RID: 72
		private string[] FileMD5s;

		// Token: 0x04000049 RID: 73
		public static Thread CurrThread;
	}
}
